(function($){
$(function(){
	var animate = false;
	var initialized = false;
	var menuToggle=function(){
		if(!animate){
			var pos = 0;
			var cls="globalNaviAreaOn";
			animate = true;
			if(~~$("#globalNaviAreaSection").css("left").replace("px","") < 0){
				pos = 0;
				$("#globalNaviAreaButton").removeClass("globalNaviAreaOff");
			}else{
				pos = $("#globalNaviAreaSection").outerWidth();
				cls="globalNaviAreaOff";
				$("#globalNaviAreaButton").removeClass("globalNaviAreaOn");
			}
			$("#globalNaviAreaButton").addClass(cls);
			$.Animation($("#globalNaviAreaSection").get(0), {left: -pos}, {duration: 500, easing: "easeOutExpo"})
			.done(function(){
				animate = false;
			});
		}
	}
	var initPos = function(){
		var y = ($(window).height()-$("#globalNaviAreaSection").outerHeight() ) / 2 + $(window).scrollTop();
		if(y+$("#globalNaviAreaSection").outerHeight() > $("#footerAreaSection").offset().top) y = $("#footerAreaSection").offset().top-$("#globalNaviAreaSection").outerHeight();
		if(y < $("#headerAreaSection").outerHeight()) y = $("#headerAreaSection").outerHeight();		
		$("#globalNaviAreaSection").css({top: y});
		$("#globalNaviAreaSection").css({display:"block", opacity: 0}).animate({opacity: 1}, 300, function(){initialized = 1;});
	}
	var setPos = function(e){
		if(initialized && !animate){
			var dur =300;
			var y = ($(window).height()-$("#globalNaviAreaSection").outerHeight() ) / 2 + $(window).scrollTop();
			if(y+$("#globalNaviAreaSection").outerHeight() > $("#footerAreaSection").offset().top) y = $("#footerAreaSection").offset().top-$("#globalNaviAreaSection").outerHeight();
			if(y < $("#headerAreaSection").outerHeight()) y = $("#headerAreaSection").outerHeight();
			$("#globalNaviAreaSection").stop(true,false).animate({ top: y }, { duration: dur, easing: "easeInOutCirc"});	
		}else{
			e.preventDefault();
		}
	}
	
	$(window).on("load", function(){
		$("#globalNaviAreaSection").css({left: -$("#globalNaviAreaSection").outerWidth()});
		initPos();
	});
	$(window).on("resize scroll", setPos);
	
	$("#globalNaviAreaButton a").on("click", function(e){
		e.stopPropagation();
		e.preventDefault();
		menuToggle();
	});
	
	if(navigator.userAgent.match("/.*MSIE ([0-9]{1,2}).*/") && ~~(navigator.userAgent.match("/.*MSIE ([0-9]{1,2}).*/")[1])<7){
		if($("#globalNaviArea").height() > 380){
			$("#globalNaviArea").height(380);
		}
	}
});
})(jQuery);